리스트
리스트 게시물 조회
GET /v1/lists/{list_id}/tweets reads 2 크레딧
공개 리스트의 최신 게시물: 멤버들이 올리는 모든 것, 리포스트와 답글 포함, 최신순.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 40 | 요청 페이지 크기. X는 힌트로 취급하며 리스트 페이지 크기를 직접 정합니다 |
cursor | string | 이전 페이지의 next_cursor에서. 디코딩할 수 없는 커서는 400입니다 |
응답
리스트 id, 게시물 한 페이지, 다음 페이지 커서(끝이면 null). 알 수 없거나 비공개인 리스트는 404입니다.
상태: 200, 400, 404, 422, 429, 502
요청
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/tweets?count=40 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"list_id": "1439812722267357187",
"tweets": [
{
"id": 2100421151273152841,
"created_ms": 1789614401058,
"user_id": 1471798119453294593,
"user": "list_member",
"name": "…",
"text": "RT @nogizaka46: …",
"lang": "ja",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100421151273152841",
"is_rt": true,
"rt_of": {
"id": "2100398710000000000",
"user": "nogizaka46",
"name": "乃木坂46",
"user_id": "…",
"text": "…",
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"…": "…"
}
],
"created_ms": 1789609050000,
"url": "https://x.com/nogizaka46/status/2100398710000000000"
},
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/….jpg",
"expanded_url": "https://x.com/nogizaka46/status/2100398710000000000/photo/1",
"width": 1200,
"height": 675
}
],
"urls": [
"https://…"
],
"views": null,
"counts": {
"reply": 0,
"rt": 312,
"like": 0,
"quote": 0,
"bookmark": 0
},
"source": "<a href=\"http://twitter.com/download/android\" rel=\"nofollow\">Twitter for Android</a>"
},
{
"…": "…"
}
],
"next_cursor": "DAABCgABHSYyJLe__60KAAIdJhjzCNqgMwgAAwAAAAIAAA"
}